from flask import Flask, render_template, request

app = Flask(__name__)

animals = ["katt", "hund", "mard", "kamel", "hest"]

@app.route("/")
def index():
    if request.args.get("sort", False):
        animals.sort()
    return render_template("index.html", animals=animals)

@app.route("/animal/<animal_name>")
def show_animal(animal_name):
    return render_template("show_animal.html", animal=animal_name)

@app.route("/add_animal/", methods=["POST", "GET"])
def add_animal():
    if request.method == "POST":
        animals.append(request.form["animal_name"])
        return "Djur tillagt!"
    else:
        return render_template("add_animal.html")

if __name__ == "__main__":
    with app.test_request_context("/animal/hej"):
        assert request.path == "/animal/hej"
    
    app.run(debug=True)
